# Marketo

We've provided detailed Poplar specific integration docs below, you can alternatively reference the [Marketo Webhook Docs](https://developers.marketo.com/webhooks/) on Creating, Calling, and using it in a [Smart Campaign](https://experienceleague.adobe.com/docs/marketo/using/product-docs/core-marketo-concepts/smart-campaigns/flow-actions/use-a-webhook-in-a-smart-campaign.html).

***

### Creating a Custom Webhook

Click **New Webhook**

Name & Configure Webhook

1. Log into Marketo, Go to Admin and click Webhooks.
2. Click **New Webhook**
3. Name & Configure Webhook

It may be helpful to include Poplar, and the name of the campaign you're linking to. i.e. "Poplar-Abandoned-Cart"

Set the type to **POST**

Set the Template as follows:

**For an email append:** *the customer attribute names you have in your account may differ and need to be modified.*

4. Set the **URL** to: `https://api.heypoplar.com/v1/mailing/`
5. Set the type to **POST**
6. Set the Template as follows:

**For an email append:** *the customer attribute names you have in your account may differ and need to be modified.*

```
{
  "recipient": {
    "email": {{customer.email}}
  },
  "campaign_id": "REPLACE-WITH-YOUR-CAMPAIGN-ID"
}<br>
	
```

**For a full address mailing:**

```
{
  "recipient": {
    "full_name" : {{customer.full_name}},
    "address_1": {{customer.address_1}},
    "address_2": {{customer.address_2}},
    "city": {{customer.city}},
    "state": {{customer.state}},
    "postal_code": {{customer.postal_code}}
  },
  "campaign_id": "REPLACE-WITH-YOUR-CAMPAIGN-ID"
}
	
```

| **key**       | **value**                                                                                                |
| ------------- | -------------------------------------------------------------------------------------------------------- |
| `campaign_id` | Found on the right hand side of your campaign's overview page                                            |
| `full_name`   | (optional) You can also replace with a fixed string like Current Resident for use on the address block   |
| `first_name`  | When using first & last name instead of full name in your webhook you must use BOTH or it will error out |
| `last_name`   |                                                                                                          |
| `address_1`   | *Required*                                                                                               |
| `address_2`   |                                                                                                          |
| `city`        |                                                                                                          |
| `state`       | *Required*                                                                                               |
| `postal_code` | *Required*                                                                                               |
| `email`       |                                                                                                          |

You can also add merge tags with your own variable data at the end. When using first & last name options instead of full name you need to include both or it will error.7

8. Set the token & response types to **JSON**
9. Click **Create**&#x20;

**Custom Headers** – Accessed through Webhooks Actions -> Set Custom Header, this menu allows the addition of any number of custom Key-Value pairs as HTTP Headers.

You'll want to configure an `Authorization` key and set the `Bearer <Your API Key>` (make sure to also replace the <>)

Create another header and use `Content-type` for the key, then `application/json` for the value.

10. Add this new webhook as a node in any of your Smart Campaigns.

***

### Smart Campaign: Trigger a Poplar Mailer

1. Create a Smart Campaign
2. Go to the Flow tab and drag in the Call webhook flow action
3. Select the webhook (among the dropdown list of webhooks you've created)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.heypoplar.com/integrations/supported-platforms/marketo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
